# Summary User's Manual

## Summary User Manual

This document describes the use of the NTP Project's `summary` program. This document applies to version 4.2.8p7 of `summary`.

## Short Contents

Summary User Manual

### Invoking summary

This section was generated by AutoGen, using the `agtexi-cmd` template and the option descriptions for the `summary` program.

#### summary help/usage (--help)

This is the automatically generated usage text for summary.

The text printed is the same whether selected with the `help` option (--help) or the `more-help` option (--more-help). `more-help` will print the usage text by passing it through a pager program. `more-help` is disabled on platforms without a working `fork(2)` function. The `PAGER` environment variable is used to select the program, defaulting to more. Both will exit with a status code of 0.

    summary - compute various stastics from NTP stat files - Ver. 4.2.8p7
    USAGE: summary [ -<flag> [<val>] | --<name>[{=| }<val>] ]...

            --directory=str          Directory containing stat files
            --end-date=num           End date
            --output-directory=str   Output directory
            --peer-dist-limit=float  Peer dist limit
            --skip-time-steps=float  Ignore time offsets larger that this
            --start-date=num         Start date
        -?, --help                   Display usage information and exit
            --more-help              Pass the extended usage text through a pager

    Options are specified by doubled hyphens and their name or by a single
    hyphen and the flag character.

#### directory option

This is the “directory containing stat files” option. This option takes a string argument. The directory where `ntpd` will search for .stat files generated by `ntpd`.

#### end-date option

This is the “end date” option. This option takes a number argument. Process all files with the date suffix less or equal to value of this option. Defaults to today minus one day (Use `date -u +%Y%m%d`) to get the timestamp.

#### output-directory option

This is the “output directory” option. This option takes a str argument. The output directory `summary` will write all output files to.

#### start-date option

This is the “start date” option. This option takes a num argument. Process all files with the date suffix more or equal to value of this option. Defaults to 197000101.

#### summary exit status

One of the following exit values will be returned:

0 (EXIT_SUCCESS)
  Successful program execution.
1 (EXIT_FAILURE)
  The operation failed or the command syntax was not valid.